Summary:         Medusa, the search and indexing package for use with Eazel's Nautilus.
Name:            medusa
Version:         0.5.1
Release:         1
License:         LGPL
Group:           System Environment/Base
Source:          ftp://ftp.gnome.org/pub/GNOME/unstable/sources/%{name}/%{name}-%{version}.tar.gz
BuildRoot:       %{_tmpdir}/%{name}-%{version}-root
URL:             http://www.gnome.org
Prereq:          /sbin/install-info
Requires:        glib >= 1.2.0
Requires:        gnome-vfs >= 0.1
BuildRequires:   gnome-libs-devel, libxml
BuildRequires:   glib-devel >= 1.2.0
BuildRequires:   gtk+-devel >= 1.2.0

%description
Medusa, the GNOME search/indexing package.

%package devel
Summary:        Libraries and include files for developing nautilus components
Group:          Development/Libraries
Requires:       %name = %{version}

%description devel
This package provides the necessary development libraries and include 
files to allow you to develop medusa components.

%prep
%setup -q

%build
# Needed for snapshot releases.
if [ ! -f configure ]; then
    CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --enable-more-warnings \
	--prefix=%{_prefix} --sysconfdir=%{_sysconfdir} \
	--bindir=%{_bindir} --libdir=%{_libdir} \
	--includedir=%{_includedir} --datadir=%{_datadir}
fi

CFLAGS="$RPM_OPT_FLAGS" ./configure --enable-more-warnings \
    --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} \
    --bindir=%{_bindir} --libdir=%{_libdir} \
    --includedir=%{_includedir} --datadir=%{_datadir}

make -k

#not making check, because it seems to be broken and require X
#check

%install
rm -rf $RPM_BUILD_ROOT

make -k sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} \
    prefix=$RPM_BUILD_ROOT%{_prefix} bindir=$RPM_BUILD_ROOT%{_bindir} \
    libdir=$RPM_BUILD_ROOT%{_libdir} \
    includedir=$RPM_BUILD_ROOT%{_includedir} \
    datadir=$RPM_BUILD_ROOT%{_datadir} install

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

INITDIR=""
for i in "/etc" "/etc/rc.d"
do
    if test -d "$i/init.d" && test -d "$i/rc0.d" && test -d "$i/rc2.d"
    then
	INITDIR="$i"
    fi
done

case "$INITDIR" in
	'')
		echo "Can't find init script directory" >&2
		exit 1
	;;
esac

rm -f "$INITDIR/rc2.d/S99medusa"
rm -f "$INITDIR/rc0.d/K00medusa"

cp "%{_prefix}/tmp/medusa-init" "$INITDIR/init.d/medusa"
ln -s ../init.d/medusa "$INITDIR/rc2.d/S99medusa"
ln -s ../init.d/medusa "$INITDIR/rc3.d/S99medusa"
ln -s ../init.d/medusa "$INITDIR/rc5.d/S99medusa"
ln -s ../init.d/medusa "$INITDIR/rc0.d/K00medusa"

%postun
/sbin/ldconfig

INITDIR=""
for i in "/etc" "/etc/rc.d"
do
	if test -d "$i/init.d" && test -d "$i/rc0.d" && test -d "$i/rc2.d"
	then
		INITDIR="$i"
	fi
done

case "$INITDIR" in
	'')
		echo "Can't find init script directory" >&2
		exit 1
	;;
esac

rm -f "$INITDIR/init.d/medusa"
rm -f "$INITDIR/rc2.d/S99medusa"
rm -f "$INITDIR/rc3.d/S99medusa"
rm -f "$INITDIR/rc5.d/S99medusa"
rm -f "$INITDIR/rc0.d/K00medusa"

%files
%defattr (0755, bin, bin)
%config %{_sysconfdir}/cron.daily/medusa.cron
%config %{_prefix}/tmp/medusa-init
%config %{_sysconfdir}/profile.d/medusa-idled.sh
%config %{_sysconfdir}/profile.d/medusa-idled.csh
%defattr(-, bin, bin)
%config %{_sysconfdir}/vfs/modules/*.conf
%{_bindir}/*
%{_libdir}/*.0
%{_libdir}/*.so
%{_libdir}/vfs/modules/*.so
%{_sysconfdir}/medusa/file-index-stoplist

%doc AUTHORS COPYING ChangeLog NEWS README

%files devel
%defattr(-, bin, bin)
%{_includedir}/libmedusa/*.h
%{_libdir}/*.la
%{_libdir}/vfs/modules/*.la


%changelog
* Fri Aug 17 2001 Gregory Leblanc <gleblanc@linuxweasel.com>
- fixed Source tag
- fixed buildroot

* Thu May 24 2001 Gregory Leblanc <gleblanc@localhost.localdomain>
- removed unncessary %defines
- made %setup quiet
- replaced Copyright with License
- reformatted buildrequires

* Wed Feb 21 2001 Gregory Leblanc <gleblanc@cu-portland.edu>
- updates and fixed for hard-coded paths, and poor macro use.

* Sun Jun 11 2000  Eskil Heyn Olsen <deity@eazel.com>
- Created the .spec file
